<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\PdfListen\HonorarListen\ShowHonorarListen;


class ShowHonorarListenUseCase extends \Kufer\Web\KuferTools\Dozent\KursUebersicht\DrucklistenAllgemein\Drucklisten\ShowKurseListen\ShowDruckListenAllgemeinUseCase
{
  public static function getToolSectionId()
  {
    return 247;
  }

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();

    return new \Kufer\Web\KuferTools\Basis\PdfListen\HonorarPdfListen(self::getToolId(), self::getToolSectionId(), $userId);
  }
}